Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.tree
Class ObjectClassTreeModel

    java.lang.Object
      javax.swing.tree.DefaultTreeModel
          ix.iface.ui.tree.EditableTreeModel
              ix.iview.tree.DomainTreeModel
                  ix.iview.tree.ObjectClassTreeModel

All Implemented Interfaces:
  DataChangeListener, UIDomainListener, java.io.Serializable, java.util.EventListener, javax.swing.tree.TreeModel

    public class ObjectClassTreeModel

extends DomainTreeModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class ix.iview.tree.DomainTreeModel
`uiDomain`

Fields inherited from class javax.swing.tree.DefaultTreeModel
`asksAllowsChildren, listenerList, root`

Constructor Summary
`ObjectClassTreeModel(UIDomain domain, IXTreeNode root)` Constructs a new instance with the given node as the root node of the tree.

Method Summary
`void` | `addUserChild(java.lang.Object userParent, java.lang.Object newChild)`
`void` | `addUserParent(java.lang.Object object, java.lang.Object parent)` Can only deal with UIObjectClass arguments
`java.lang.Object` | `findUserNode(java.lang.String name)`
`java.util.List` | `findUserObjects()`
`java.util.List` | `getUserChildren(java.lang.Object userParent)`
`java.util.List` | `getUserParents(java.lang.Object userObject)`
`boolean` | `isOwnUserObject(java.lang.Object object)`
`java.lang.Object` | `makeUserObject(java.lang.String name)`
`java.lang.Object` | `makeUserObject(java.lang.String name, java.util.List children)`
`IXTreeNode` | `newIXTreeNode(java.lang.Object userObject)` Creates a new instance of a suitable IXTreeNode from the user object
`void` | `removeUserChild(java.lang.Object userParent, java.lang.Object oldChild)`
`void` | `removeUserParent(java.lang.Object userObject, java.lang.Object oldParent)`

Methods inherited from class ix.iview.tree.DomainTreeModel
`constructAdded, constructAdded, constructEdited, constructRemoved, domainCleared, domainEdited, domainSet, getUIDomain, newTreeChild`

Methods inherited from class ix.iface.ui.tree.EditableTreeModel
`addTreeParent, addTreeParent, buildSubTree, buildTree, clearModel, dataChanged, ensureIXTreeNode, ensureMapEntry, findStringTreeNode, findTreeNode, findTreeNodes, fireNodeAdded, fireNodeChanged, fireTreeNodesChanged, fireTreeNodesInserted, getTreeNode, getTreeParent, getUserRoot, hasTreeNode, ignoreUpdate, insertNodeInto, isUserRoot, makeIXTreeNode, newTreeChild, printSubTree, printSubTree, reload, reload, reloadData, setRoot, setUserRoot, startUpdate, stopUpdate, userNodeAdded, userNodeChanged, userNodeRemoved`

Methods inherited from class javax.swing.tree.DefaultTreeModel
`addTreeModelListener, asksAllowsChildren, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectClassTreeModel

    public ObjectClassTreeModel(UIDomain domain,
                                IXTreeNode root)

  Constructs a new instance with the given node as the root node of the tree.

  Parameters:
    `domain` - The UIDomain for this model.
    `root` - The root node of the tree model.

Method Detail

### newIXTreeNode

    public IXTreeNode newIXTreeNode(java.lang.Object userObject)

  Description copied from class: `DomainTreeModel`
  Creates a new instance of a suitable IXTreeNode from the user object

  Specified by:
    `newIXTreeNode` in class `DomainTreeModel`

### findUserObjects

    public java.util.List findUserObjects()

  Specified by:
    `findUserObjects` in class `DomainTreeModel`

### findUserNode

    public java.lang.Object findUserNode(java.lang.String name)

  Specified by:
    `findUserNode` in class `EditableTreeModel`

### makeUserObject

    public java.lang.Object makeUserObject(java.lang.String name)

  Specified by:
    `makeUserObject` in class `DomainTreeModel`

### makeUserObject

    public java.lang.Object makeUserObject(java.lang.String name,
                                           java.util.List children)

  Specified by:
    `makeUserObject` in class `DomainTreeModel`

### isOwnUserObject

    public boolean isOwnUserObject(java.lang.Object object)

  Specified by:
    `isOwnUserObject` in class `EditableTreeModel`

### getUserChildren

    public java.util.List getUserChildren(java.lang.Object userParent)

  Specified by:
    `getUserChildren` in class `DomainTreeModel`

### addUserChild

    public void addUserChild(java.lang.Object userParent,
                             java.lang.Object newChild)

  Specified by:
    `addUserChild` in class `DomainTreeModel`

### removeUserChild

    public void removeUserChild(java.lang.Object userParent,
                                java.lang.Object oldChild)

  Specified by:
    `removeUserChild` in class `DomainTreeModel`

### getUserParents

    public java.util.List getUserParents(java.lang.Object userObject)

  Specified by:
    `getUserParents` in class `EditableTreeModel`

### addUserParent

    public void addUserParent(java.lang.Object object,
                              java.lang.Object parent)

  Can only deal with UIObjectClass arguments

  Specified by:
    `addUserParent` in class `EditableTreeModel`

### removeUserParent

    public void removeUserParent(java.lang.Object userObject,
                                 java.lang.Object oldParent)

  Specified by:
    `removeUserParent` in class `EditableTreeModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD